QXmppExtendedAddress Class Reference

Represents an extended address as defined by XEP-0033: Extended Stanza Addressing. More...

`#include <QXmppStanza.h>`

## Public Member Functions

| QXmppExtendedAddress ()
| Constructs an empty extended address.
| QXmppExtendedAddress (const QXmppExtendedAddress &)
QXmppExtendedAddress & | operator= (const QXmppExtendedAddress &)
QString | description () const
| Returns the human-readable description of the address.
void | setDescription (const QString &description)
| Sets the human-readable description of the address.
QString | jid () const
| Returns the JID of the address.
void | setJid (const QString &jid)
| Sets the JID of the address.
QString | type () const
| Returns the type of the address.
void | setType (const QString &type)
| Sets the type of the address.
bool | isDelivered () const
| Returns whether the stanza has been delivered to this address.
void | setDelivered (bool)
| Sets whether the stanza has been delivered to this address.
bool | isValid () const

## Detailed Description

Represents an extended address as defined by XEP-0033: Extended Stanza Addressing.

Extended addresses maybe of different types: some are defined by XEP-0033, others are defined in separate XEPs (for instance XEP-0146: Remote Controlling Clients). That is why the "type" property is a string rather than an enumerated type.

## Constructor & Destructor Documentation

## QXmppExtendedAddress()

QXmppExtendedAddress::QXmppExtendedAddress | ( | const QXmppExtendedAddress & |  | ) |

default

Constructs a copy of other.

Parameters

  other |

## Member Function Documentation

## isValid()

bool QXmppExtendedAddress::isValid | ( |  | ) | const

Checks whether this address is valid. The extended address is considered to be valid if at least type and JID fields are non-empty.

## operator=()

QXmppExtendedAddress & QXmppExtendedAddress::operator= | ( | const QXmppExtendedAddress & | other | ) |

Assigns the other address to this one.

Parameters

  other |

The documentation for this class was generated from the following files:

- QXmppStanza.h
- QXmppStanza.cpp